Subject: Re: [RFC 0/2] svn-fetch|push - an alternate approach

From: Marco Schulze <[email-masked]>
Date: Sun, 19 Aug 2012 07:21:39 -0300

On 18-08-2012 14:39, James R. McKaskill wrote:
> As a twist the code does not use the svn library, but rather talks the
> svn protocol directly. I actually found it much easier to go this route
> then trying to bend everything to how the svn library understands
> things. It also has the advantage of not depending on libsvn. A number
> of distributions currently distribute the svn specific parts of git
> seperately to avoid this dependency.
It is a bit of a pain to work with libsvn, but I think it is worth using 
it, not only due to protocol support, but also due to ready-to-use 
support for SVN deltas and dumps.  Pipelining could be implemented by 
maintaining a set of connections (svn_ra_session_t structures) and 
manually distributing work between them.